Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.verisign.epp.codec.idntable
Enum EPPIdnTableCheckCmd.Form

    java.lang.Object
      java.lang.Enum<EPPIdnTableCheckCmd.Form>
          com.verisign.epp.codec.idntable.EPPIdnTableCheckCmd.Form

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EPPIdnTableCheckCmd.Form>

Enclosing class:
  EPPIdnTableCheckCmd

    public static enum EPPIdnTableCheckCmd.Form

extends java.lang.Enum<EPPIdnTableCheckCmd.Form>

Check form types, that include:

- `UNDEFINED_FORM` that represents an undefined state, where neither or both tables and domains are defined.
- `DOMAIN_FORM` that represents the "Domain Check Form", where domain names are only defined.
- `TABLE_FORM` that represents the "Table Check Form", where table identifiers are only defined.

Enum Constant Summary
`DOMAIN_FORM`
`TABLE_FORM`
`UNDEFINED_FORM`

Method Summary
`static EPPIdnTableCheckCmd.Form` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EPPIdnTableCheckCmd.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED_FORM

    public static final EPPIdnTableCheckCmd.Form UNDEFINED_FORM

### DOMAIN_FORM

    public static final EPPIdnTableCheckCmd.Form DOMAIN_FORM

### TABLE_FORM

    public static final EPPIdnTableCheckCmd.Form TABLE_FORM

Method Detail

### values

    public static EPPIdnTableCheckCmd.Form[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EPPIdnTableCheckCmd.Form c : EPPIdnTableCheckCmd.Form.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EPPIdnTableCheckCmd.Form valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © VeriSign Inc. All Rights Reserved.